> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# List Attributes

GET https://api.npretail.app/{tenant}/{environment}/{company}/membership/member/attributes

This endpoint retrieves a list of attributes that can be associated with a member entity.

Reference: https://docs.navipartner.com/apis/api-reference/memberships/service-member/service-member-attributes/list-member-attributes

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)

## Response

### 200

- `list of AttributeListResponse`

## Types

### AttributeListResponse

This response contains a list of attributes that can be associated with the entity.

- `code` (string, required) — The key code for the attribute. This is a unique identifier for the attribute.
- `name` (string, required) — The common name of the attribute.
- `caption` (string, required) — The caption of the attribute.
- `blocked` (boolean, required) — Indicates if the attribute is blocked.
- `datatype` (enum, required) — The datatype of the attribute.
  - Allowed values: `text`, `code`, `date`, `datetime`, `decimal`, `integer`, `boolean`, `unknown`
- `validateAs` (enum, required) — The validation type for the attribute.
  - Allowed values: `datatype`, `lookup`, `unknown`
- `formatAs` (enum, required) — The format type for the attribute.
  - Allowed values: `custom`, `native`, `userCulture`, `unknown`
- `description` (string, optional) — The description of the attribute.
- `lookupTable` (boolean, optional) — Indicates if the attribute uses a lookup table.
- `lookupTableId` (integer, optional) — The ID of the lookup table.
- `lookupFieldId` (integer, optional) — The ID of the lookup field.

## Examples

**Response**

```json
[
  {
    "code": "COLOR-1",
    "name": "Member favorite color",
    "caption": "Favorite Color",
    "blocked": false,
    "datatype": "text",
    "validateAs": "datatype",
    "formatAs": "native",
    "description": "All members have a favorite color. This is the favorite color for this member."
  }
]
```

**SDK Code**

```python List Member Attributes Example
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/attributes"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript List Member Attributes Example
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/attributes';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go List Member Attributes Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/attributes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby List Member Attributes Example
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/attributes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java List Member Attributes Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/attributes")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php List Member Attributes Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/attributes', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp List Member Attributes Example
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/attributes");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift List Member Attributes Example
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/attributes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```